- Qt 5.3
- Qt Sensors
- C++ Classes
- QSensorPluginInterface
- Qt 5.3.2 Reference Documentation

# QSensorPluginInterface Class

The QSensorPluginInterface class is the pure virtual interface to sensor plugins. More...

Header: | `#include <QSensorPluginInterface>`
qmake: | `QT += sensors`

- List of all members, including inherited members

## Public Functions

virtual void | registerSensors() = 0

## Detailed Description

The QSensorPluginInterface class is the pure virtual interface to sensor plugins.

The QSensorPluginInterface class is implemented in sensor plugins to register sensor backends with QSensorManager.

See also Creating a sensor plugin.

## Member Function Documentation

### void QSensorPluginInterface::registerSensors()`[pure virtual]`

This function is called when the plugin is loaded. The plugin should register sensor backends by calling QSensorManager::registerBackend(). Any backends that utilise other sensors should be registered in the QSensorPluginInterface::sensorsChanged() method instead.

See also Creating a sensor plugin.